package com.pcloud.common.core.constant;

/**
 * 短信模板常量 @描述：
 * 
 * @作者：zhuyajie
 * @创建时间：2017年8月24日 下午7:55:33 @版本：1.0
 */
public class SMSTemplateConstant {

	/*-----usercenter-------*/
	/**
	 * 您的${role}手机号重置成功，${relateRole}重置后密码：
	 * 123456，绑定手机号:${phone}，请使用登录名：${phone}登录${loginRole}，为确保账号安全，请及时修改新的密码。
	 */
	public static final String PHONE_RESET_CODE = "SMS_89950008";
	/**
	 * 亲爱的${name},恭喜您注册成功，请登录系统。
	 */
	public static final String REGISTER_SUCCESS_CODE = "SMS_89990007";
	/**
	 * 您好，您的实名认证已审核通过，请登录PC端查看，您的提现微信为您实名认证的微信账户，昵称：${nickName}，请知悉！
	 */
	public static final String AUTHENTICATE_SUCCESS_CODE = "SMS_90025012";
	/**
	 * 您好，您的实名认证审核不通过，不通过原因${reason}，为便于您提现，请尽快登录PC端重新提交实名信息，感谢您的配合！
	 */
	public static final String AUTHENTICATE_FAILURE_CODE = "SMS_90065014";
	/**
	 * 亲爱的${name}，非常遗憾，您的注册失败了，失败原因是：${reason}。
	 */
	public static final String REGISTER_FAILURE_REASON_CODE = "SMS_89970014";
	/**
	 * 亲爱的${name}，非常遗憾，您的注册失败了，请重新注册。
	 */
	public static final String REGISTER_FAILURE_CODE = "SMS_90060011";

	/**
	 * 尊敬的客户，蓝海系统将在${days}天内到期，如需继续使用请尽快与蓝海工作人员联系。
	 */
	public static final String EXPIRE_NOTICE_CODE = "SMS_90800001";

	/*------appcenter------*/
	/**
	 * ${name}，您申请的一键式新增服务已完成，请登录帐户查看，感谢支持！
	 */
	public static final String ASSIST_CODE = "SMS_89990009";
	/**
	 * 应用${name}资源压缩包下载地址为：https://download.5rs.me/${info}，请复制地址至电脑端下载。
	 */
	public static final String APP_RESOURCE_DOWNLOAD_CODE = "SMS_90235053";
	/**
	 * 应用${name}资源压缩包下载地址为：https://surl.5rs.me/${info}，请复制地址至电脑端下载。
	 */
	public static final String APP_RESOURCE_DOWNLOAD_CODE_NEW = "SMS_100660002";

	/*--- messagecenter---*/
	/**
	 * 您好，来自${company}公司的${name}客户对蓝海产品很感兴趣，有意向与您建立合作关系，
	 * 他的联系方式为：${phone},请尽快与他联系，详细的信息请登录邮箱查看，如果收不到邮件，请注意查看垃圾邮箱。
	 */
	public static final String INVITE_CODE = "SMS_89930016";
	/**
	 * 您的注册验证码是${code}，验证码有效期5分钟。如非本人操作，请勿理会。
	 */
	public static final String REGISTER_VERIFY_CODE = "SMS_90310026";
	/**
	 * 您的下载验证码是${code}，验证码有效期5分钟。如非本人操作，请勿理会。
	 */
	public static final String DOWNLOAD_VERIFY_CODE = "SMS_90215028";
	/**
	 * 您的验证码是${code}，验证码有效期5分钟。如非本人操作，请勿理会。
	 */
	public static final String VERIFY_CODE = "SMS_90180049";
	/**
	 * 您的验证码为${code},验证码有效期5分钟，此验证码用于绑定手机号到蓝海平台。如非本人操作，请勿理会。
	 */
	public static final String PHONE_BIND_VERIFY_CODE = "SMS_90060013";
	/**
	 * 书刊${bookName}中的${targetName}已被${partyName}修改。
	 */
	public static final String FUND_QRCODE_MODIFY = "SMS_105400057";
	/**
	 * 书刊${bookName}中的${targetName}已修改，详情见RAYS平台端书刊内容监控。
	 */
	public static final String FUND_APP_OR_PRODUCT_MODIFY = "SMS_120406308";
	/**
	 * 书刊${bookName}中的${targetName}已被${partyName}修改价格，详情见RAYS平台端基金书刊监控。
	 */
	public static final String FUND_APP_OR_PRODUCT_MODIFY_PRICE = "SMS_105375039";
	/**
	 * 书刊${bookName}中的${targetName}已被${partyName}取消关联。
	 */
	public static final String FUND_QRCODE_DISASSOCIATION = "SMS_109555262";
	/**
	 * 书刊${bookName}中的${targetName}已被${partyName}调整资源，详情见RAYS平台端基金书刊监控。
	 */
	public static final String FUND_APP_OR_PRODUCT_RESOURCE_RELATION = "SMS_111300042";

	/*-------resourcecenter------*/
	/**
	 * 您购买的${name}下载地址为：https://download.5rs.me/${info}，请复制至电脑端下载。
	 */
	public static final String RESOURCE_DOWNLOAD_CODE = "SMS_90285033";
	/**
	 * 您购买的${name}下载地址为：https://surl.5rs.me/${info}，请复制至电脑端下载。
	 */
	public static final String RESOURCE_DOWNLOAD_CODE_NEW = "SMS_101365018";

	/*------settlementcenter------*/
	/**
	 * 您收到一条提现审核申请，${name}出版社申请提现${money}元，请抽空处理。
	 */
	public static final String WITHDRAW_CODE = "SMS_90055008";

	/*-----bm------*/
	/**
	 * 抱歉，您的报名申请审核失败。
	 */
	public static final String BM_AUDIT_FAIL_CODE = "SMS_90645005";
	/**
	 * 恭喜您，您所提交的参赛方案${name}已入围，请至出版融合技术编辑创新大赛官方渠道查看详情。
	 */
	public static final String BM_AUDIT_PASS_CODE = "SMS_90690004";

	/*-----questionair-------*/
	/**
	 * https://download.5rs.me/${info},有效期48小时，请及时下载。
	 */
	public static final String QUESTIONAIR_DOWNLOAD_CODE = "SMS_90720002";

	/*----liveapp-----*/
	/**
	 * 您预约的直播还有一个小时开始。
	 */
	public static final String APPOINTMENT_CODE = "SMS_90735003";

    /**
     * 尊敬的${name}老师，您的课程${title}报名人数已达${number}人，将于${time}开播，提醒您提前做好准备，预祝直播顺利！
     */
    public static final String START_COURSE_NOTICE = "SMS_163852029";

	/*----------tradecenter------------*/
	/**
	 * 您有一个超过24小时的订单没有发货，请及时处理！
	 */
	public static final String ORDER_NOTICE_CODE = "SMS_101360013";

	/*----------channelcenter------------*/
	/**
	 * 论文邮件提醒 亲爱的作者${merchantName}，恭喜您，您的论文《${sceneName}》被录取了，请注意查收邮件，谢谢！
	 */
	public static final String OSID_EMAIL_CODE = "SMS_116370078";

	/**
	 * 应用${name}资源压缩包下载地址为：https://s.5rs.me/${info}，请复制地址至电脑端下载。
	 */
	public static final String APP_RESOURCE_DOWNLOAD_CODE_OWN = "SMS_117235043";

	/**
	 * 您购买的${name}下载地址为：https://s.5rs.me/${info}，请复制至电脑端下载。
	 */
	public static final String RESOURCE_DOWNLOAD_CODE_OWN = "SMS_117165049";

	/**
	 * ${agentName}的${name}，注册了RAYS蓝海的体验账号，联系方式为：${phone}。
	 */
	public static final String USER_INFO_CODE = "SMS_125025597";

	/**
	 *您好，有${count}位客户对RAYS蓝海产品很感兴趣，有意向体验，详细信息请登录邮箱${mailName}@dcrays.cn查看，
	 * 如果收不到邮件，请注意查看垃圾邮箱。
	 */
	public static final String EXPERIENCE_CODE = "SMS_125021237";
	
	/**
	 * ${name}您好，现${agentName}出版社与我司合作分成协议将于${date}到期。请您书面通知该单位，并联系市场部项目负责人跟进续约事宜。
	 */
	public static final String DEALINE_CODE = "SMS_126350961";
}
